Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters
Class ConverterUtil

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.ConverterUtil

    public class ConverterUtil

extends Object

Constructor Summary
`protected` | `ConverterUtil()`

Method Summary
`static void` | `addAlias(String alias, Class clazz)`
`static Object` | `createConverter(Class converterClass, Object target)`
`static String` | `getAlias(Class cls)`
`static GrailsDomainClass` | `getDomainClass(String name)`
`static Set` | `getDomainClassNames()`
`protected static ConverterUtil` | `getInstance()`
`static com.thoughtworks.xstream.XStream` | `getXStream(Class clazz)`
`static Object` | `invokeOriginalAsTypeMethod(Object delegate, Class clazz)`
`static boolean` | `isConverterClass(Class clazz)`
`static boolean` | `isDomainClass(Class clazz)`
`static String` | `resolveAlias(Class cls)`
`static void` | `setGrailsApplication(GrailsApplication grailsApp)`
`protected static com.thoughtworks.xstream.XStream` | `setupXStream(Class converter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConverterUtil

    protected ConverterUtil()

Method Detail

### createConverter

    public static Object createConverter(Class converterClass,
                                         Object target)
                                  throws ConverterException

  Throws:
    `ConverterException`

### getXStream

    public static com.thoughtworks.xstream.XStream getXStream(Class clazz)

### setupXStream

    protected static com.thoughtworks.xstream.XStream setupXStream(Class converter)

### addAlias

    public static void addAlias(String alias,
                                Class clazz)

### getAlias

    public static String getAlias(Class cls)

### resolveAlias

    public static String resolveAlias(Class cls)

### getDomainClass

    public static GrailsDomainClass getDomainClass(String name)

### getInstance

    protected static ConverterUtil getInstance()

### isConverterClass

    public static boolean isConverterClass(Class clazz)

### isDomainClass

    public static boolean isDomainClass(Class clazz)

### getDomainClassNames

    public static Set getDomainClassNames()

### setGrailsApplication

    public static void setGrailsApplication(GrailsApplication grailsApp)

### invokeOriginalAsTypeMethod

    public static Object invokeOriginalAsTypeMethod(Object delegate,
                                                    Class clazz)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project